# Arcadia-module
Module officiel de l'API Arcadia-Api

Module de generation d'images de l'API Arcadia-api

## Installation
```
$ npm install --save arcadia-module
```

# Exemple GET Generations
```js
const arcadiaapi = require('arcadia-module');

arcadiaapi.generation("type", "url", '0 ou 1 (sur les types "triggered & triggeredinvert")').then(url => {
  console.log(url)
})
```

# Exemple GET Filtres
```js
const arcadiaapi = require('arcadia-module');

arcadiaapi.filters("type", "url").then(url => {
  console.log(url)
})
```

# Exemple GET Textes
```js
const arcadiaapi = require('arcadia-module');

arcadiaapi.texts("type", "text").then(url => {
  console.log(url)
})
```

# Liste des Endpoints

```js
===Generations===
[
  'triggered',
  'triggeredinvert',
  'rainbow',
  'beautiful',
  'blood',
  'bloodhelp',
  'bob',
  'brazzers',
  'discordlogo',
  'glitch',
  'illuminati',
  'tobecontinued',
  'wasted',
  'youporn'
]

===Filtres===
[
  'blur',
  'blurple',
  'convinvert',
  'convmatrix',
  'convolute',
  'discord',
  'displace',
  'distortion',
  'fire',
  'french',
  'gay',
  'ghost',
  'grayscale',
  'green',
  'implode',
  'invert',
  'jackolantern',
  'magik',
  'orangly',
  'pixelate',
  'posterize',
  'red',
  'reddit',
  'sepia',
  'spotify',
  'steam',
  'time',
  'twitch',
  'twitter'
]

===Textes===
[
  'presidentialalert'
]
```
